Loading...
Searching...
No Matches
blast-parser-location.h File Reference
`#include <iostream>`
`#include <string>`
Include dependency graph for blast-parser-location.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | rostlab::blast::position
| A point in a source file. More...
class | rostlab::blast::location
| Two points in a source file. More...

## Namespaces

namespace | rostlab
namespace | rostlab::blast

## Macros

#define | YY_NULLPTR ((void*)0)

## Functions

position & | rostlab::blast::operator+= (position &res, position::counter_type width)
| Add width columns, in place.
position | rostlab::blast::operator+ (position res, position::counter_type width)
| Add width columns.
position & | rostlab::blast::operator-= (position &res, position::counter_type width)
| Subtract width columns, in place.
position | rostlab::blast::operator- (position res, position::counter_type width)
| Subtract width columns.
template<typename YYChar>
std::basic_ostream< YYChar > & | rostlab::blast::operator<< (std::basic_ostream< YYChar > &ostr, const position &pos)
| Intercept output stream redirection.
location & | rostlab::blast::operator+= (location &res, const location &end)
| Join two locations, in place.
location | rostlab::blast::operator+ (location res, const location &end)
| Join two locations.
location & | rostlab::blast::operator+= (location &res, location::counter_type width)
| Add width columns to the end position, in place.
location | rostlab::blast::operator+ (location res, location::counter_type width)
| Add width columns to the end position.
location & | rostlab::blast::operator-= (location &res, location::counter_type width)
| Subtract width columns to the end position, in place.
location | rostlab::blast::operator- (location res, location::counter_type width)
| Subtract width columns to the end position.
template<typename YYChar>
std::basic_ostream< YYChar > & | rostlab::blast::operator<< (std::basic_ostream< YYChar > &ostr, const location &loc)
| Intercept output stream redirection.

## Macro Definition Documentation

## YY_NULLPTR

#define YY_NULLPTR ((void*)0)

Definition at line 52 of file blast-parser-location.h.